			<div class="selectcountry-box">	
				<form >
					<div class="select-inputbox">					
						<ul>
							<li class="slct-cnty-li" [ngClass]="countryselect?'':'slct-cnty-btn-li'" *ngIf="!redeemFlag">
								<div class="btn-icon">
									<div class="cntry-icon">
										<img class="" src="assets/images/Home/Icon-Globe.svg" alt="">
										<img class="" src="assets/images/Home/Icon-arrow-down.svg" alt="">
									</div>
									<div class="flag-icon">
										<div class="icon-bx"><img class="" [src]="flagImage" alt=""></div>
										<span>+{{countryCallingCode}}</span>
									</div>
								</div>
								<select id='country_select' name='country' [(ngModel)]="user.selectedCountryValue" (change)="getMsisdn(user.selectedCountryValue)" [disabled]="type=='order' || redeemData">
									<option value="">Please select a country</option>
									<option *ngFor="let c of countriesData;let idx=index;" [ngValue]="c">{{c.name}}(+{{c.callingCodes[0]}})</option>
								</select>
							</li>							
							<li [hidden]="redeemFlag" class="contry-li-select">
								<span class="yellow-arrow"></span>
								<input type="text" name="msisdn" [placeholder]="countryselect?'Enter Msisdn':'Please select a country'" id="msisdn" #msisdn (keydown)="allowNumbers($event)" [(ngModel)]="user.msisdn" [readonly]="type=='order'"  [ngClass]="msisdn.errors && (msisdn.dirty || msisdn.touched) ?'userValidationCss':''" required/>
								<div *ngIf="msisdn.errors && (msisdn.dirty || msisdn.touched)" [hidden]="!msisdn.errors" class="fontValidationCss">
									{{getError(msisdn.errors,'msisdn')}}
								</div>
							</li>
							<!-- CHANGES TO DO SECTION -->
							<li class="slct-cnty-li voucher-li" *ngIf="redeemFlag">
								<!-- <div class="btn-icon">
									<div class="voucher-icon">
										<img class="" src="assets/images/Icon-Vouchers.png" alt="">
									</div>

								</div> -->
								<span class="yellow-arrow"></span>
								<input type="text" name="voucher" [textMask]="{mask: mask}" placeholder="Enter Voucher Number" id="voucher" #voucher="ngModel" [(ngModel)]="user.voucher" [ngClass]="voucher.errors && (voucher.dirty || voucher.touched) ?'userValidationCss':''" required/>
								<div *ngIf="voucher.errors && (voucher.dirty || voucher.touched)" [hidden]="!voucher.errors" class="fontValidationCss">
									{{getError(voucher.errors,'voucher')}}
								</div>
								<button class="banner-green-btn" type="submit" (click)="verifyVoucher(user.voucher)" [disabled]="!user.voucher"><!-- Potračovat --><i class="fa fa-chevron-right" aria-hidden="true"></i></button>
							</li>

								<!-- CHANGES TO DO SECTION -->
						</ul>
						
					</div>

					<!-- <span *ngIf="!countryselect && type=='home'">or</span> -->
					<div class="btn-box" *ngIf="type=='home'">
						<!-- <button type="button" class="a-btn redden-btn" (click)="redeemFlag=true;" *ngIf="!countryselect && !redeemFlag">Redeem a Voucher</button> -->
						<!-- <button type="button" class="a-btn redden-btn" (click)="redeemFlag=false;" *ngIf="redeemFlag">Select Country</button> -->
						<button type="submit" class="default-btn a-btn banner-green-btn" *ngIf="countryselect" (click)="getMsisdnOperator(user.msisdn)" [disabled]="!user.msisdn"><i class="fa fa-chevron-right" aria-hidden="true"></i></button>
					</div>

					<div class="btn-box" *ngIf="type=='order'">
						<a class="a-btn"><img src="assets/images/Order/Icon-Tick-Green.svg" alt="" class="img-responsive"></a>
						<!-- <button type="submit" class="a-btn"></button> -->
					</div>

				</form>
			</div>